## Interface IDataRenderer

Description

IDataRenderer interface.

If a control wants to be used a renderer for another data-bound control, this interface must be implemented.

- since: 3.1
- version: $Id: interfaces.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /interfaces.php (line 370)

Direct descendents

Class | Description
--- | ---
IScaffoldEditRenderer | IScaffoldEditRenderer interface.
IItemDataRenderer | IItemDataRenderer interface.

Method Summary
mixed getData ()
void setData (mixed $value)
Methods
getData (line 375)

- return: the data bound to this object
- access: public

mixed getData ()
setData (line 380)

- access: public

void setData (mixed $value)

- mixed $value: the data to be bound to this object

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4